SIGNBIT(3) | NetBSD Library Functions Manual | SIGNBIT(3)

# NAME

signbit — test sign

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <math.h>

int
signbit(real-floating x);

# DESCRIPTION

The signbit() macro determines whether the sign of its argument value x is negative. An argument represented in a format wider than its semantic type is converted to its semantic type first. The determination is then based on the type of the argument.

## IEEE754

The sign is determined for all values, including infinities, zeroes, and NaNs

## VAX

The sign is determined for finites, true zeros, and dirty zeroes; for ROPs the sign is reported negative.

# RETURN VALUES

The signbit() macro returns a non-zero value if the sign of its value x is negative. Otherwise 0 is returned.

# ERRORS

No errors are defined.

# SEE ALSO

fpclassify(3), isfinite(3), isnormal(3), math(3)

# STANDARDS

The signbit() macro conforms to ISO/IEC 9899:1999 (“ISO C99”).

October 29, 2003 | NetBSD 5.99